# graphile

Graphile makes a number of open source projects, some of the headline projects
include [PostGraphile](https://postgraphile.org),
[Graphile Worker](https://github.com/graphile/worker),
[Graphile Migrate](https://github.com/graphile/migrate) and
[Gra*fast*](https://grafast.org), but there are many others. This module is
intended to be a CLI that will help when interacting with these various
projects, helping you to create, debug, update, interact with and maintain them.

At the moment, it doesn't contain much, but it should grow over time.

## Sponsors-only, source available

**TL;DR**: _30 day free trial, then become a sponsor to continue using_.

Unlike the vast majority of our other packages, **this package is not open
source software**. Instead it is licensed software, only to be used by sponsors.

At Graphile, we can only work on open source as much as we do thanks to the
support of our sponsors. Sadly, many corporations decline to fund the open
source software that underpins the success of their businesses. This lack of
funding can lead to maintainer burnout and ultimately the discontinuation of
projects, leaving these short-sighted companies to spend large amounts on
maintenance, security, and/or rewrites.

<figure>
<img
  src="https://imgs.xkcd.com/comics/dependency.png"
  alt="An XKCD cartoon showing how all modern digital infrastructure relies on a project some random person in Nebraska has been thanklessly maintaining since 2003."
  />
<figcaption>
<p><em>Mandatory XKCD #2347 - Dependency.</em></p>
</figcaption>
</figure>

Fortunately smart engineers tend to recognize that OSS projects need financial
support to both be sustainable and to keep advancing. This sponsors-only package
serves two purposes. First and foremost, it is a thank you to our sponsors who
have helped us to get this far. Secondly, it acts as a carrot that
forward-thinking engineers can use to convince their corporations sponsorship is
necessary.

_We hope that once a company is sponsoring one project, sponsoring others should
be much easier; as such, this project is **only licensed for sponsors** - we do
not sell licenses to it separately._

We offer non-sponsors a 30 day trial of this software, after that you must
become a sponsor to keep using it. We recommend a sponsorship of at least $25/mo
per engineer, however you may sponsor us at any amount that the platforms allow.
One-time sponsorships are equivalent to 30 calendar days of sponsorship.

## `graphile config print`

Prints out the configuration from your `graphile.config.mjs` (or similar) file
in an easy to read/digest form.

## `graphile config options`

Indicates the full list of options that you may specify in your config file.
